---
description: How to use the Abipy python package
authors: MG
---
<!--- This is the source file for this topics. Can be edited. -->

This page gives hints on how to use the Abipy python package with the ABINIT package.

## Introduction

[AbiPy](https://github.com/abinit/abipy) is a Python library to analyze the
results produced by Abinit, It also provides tools to generate input files and
workflows to automate ab-initio calculations and typical convergence studies.
AbiPy is interfaced with [pymatgen](http://pymatgen.org) and this allows
users to benefit from the different tools and python objects available in the
pymatgen ecosystem. AbiPy can be used in conjunction with matplotlib, pandas,
ipython and jupyter thus providing a powerful and user-friendly environment
for data analysis and visualization.

The official documentation of the stable version is available at. 
Check out our [gallery of plotting scripts](http://abinit.github.io/abipy/gallery/index.html) 
and the [gallery of AbiPy workflows](http://abinit.github.io/abipy/flow_gallery/index.html). 
To learn more about the integration between jupyter and AbiPy, visit our
[collection of notebooks](https://nbviewer.jupyter.org/github/abinit/abitutorials/blob/master/abitutorials/index.ipynb)


## Related Input Variables

{{ related_variables }}

## Selected Input Files

{{ selected_input_files }}

