---
description: How to define frequency meshes (on the imaginary and real axes) for MBPT calculations
authors: MG
---
<!--- This is the source file for this topics. Can be edited. -->

This page gives hints on how to define frequency meshes (on the imaginary and real axes) 
for MBPT calculations with the ABINIT package.

## Introduction

In the contour deformation technique, and other cases, one has to define a set
of frequencies on which different numerical operations will be performed
(computation of susceptibility matrices, integration along the real+imaginary
axes). In the present topic, the input variables connected to such definitions
are gathered.



## Related Input Variables

{{ related_variables }}

## Selected Input Files

{{ selected_input_files }}

## Tutorials

* [[tutorial:gw2|The second tutorial on GW]] deals with the computation of the quasi-particle band structure of Aluminum, in the GW approximation (so, much better than the Kohn-Sham LDA band structure) without using the plasmon-pole model. 

