---
description: How to set parameters for a calculation with a positron in the system.
authors: MT
---
<!--- This is the source file for this topics. Can be edited. -->

This page gives hints on how to set parameters for a calculation with a positron in the system with the ABINIT package.

## Introduction

The lifetime of a positron, its annihilation rate and other associated properties can be computed, using
the self-consistent two-component DFT formalism, including force and stress computation (and thus relaxation),
LDA and GGA, wirhin norm-conserving pseudopotentials as well as PAW  approach [[cite:Wiktor2015]].

Doppler broadening can also be computed. The details of the way to perform such
calculations are given in the description of the [[positron]] input variable,
as well as in [[tutorial:positron|the tutorial on electron-positron
annihilation]].

Examples can be found in [[cite:Wiktor2013]], [[cite:Wiktor2014]],
[[cite:Wiktor2014a]] and [[cite:Wiktor2014b]].



## Related Input Variables

{{ related_variables }}

## Selected Input Files

{{ selected_input_files }}

## Tutorials

* [[tutorial:positron|The tutorial on electron-positron annihilation]]

