---
description: How to set parameters for a spin-polarized calculation
authors: FJ
---
<!--- This is the source file for this topics. Can be edited. -->

This page gives hints on how to set parameters for a spin-polarized calculation with the ABINIT package.

## Introduction

The electronic system may be computed in the spin-unpolarized or spin-
polarized case, with the possibility to impose occupation numbers of majority
and minority spins, and the spins of the starting configuration. A specific
option for efficient treatment of anti-ferromagnetism (Shubnikov groups) is
available. The treatment of non-collinear magnetism is available (some details
of the implementation can de found [[pdf:noncol|here]]. The total magnetic
moment of the unit cell can be constrained. The local magnetization can also
be constrained.



## Related Input Variables

{{ related_variables }}

## Selected Input Files

{{ selected_input_files }}

## Tutorials

* [[tutorial:spin|The tutorial on spin in ABINIT]] presents the properties related to spin: spin-polarized calculations and spin-orbit coupling. 

