This directory, tests, contains tests which exercise parts 
of the ABINIT package.

These tests are designed primarily to exercise parts of the code
quickly, NOT necessarily to give physically sensible results.
For greater speed, some tests are not run to full convergence.
Also the quality parameters (especially ecut) are minimal, i.e.
the calculations are underconverged.

Most of them are ran through the runtests.py utility. Type

    $ runtests.py --help

to get help.

There is a small README file in the subdirectories that contain the input and reference files.
The documentation related specifically to one test is appended to the input file of this test,
and can also be accessed through `runtests.py`  (aka `runtests.py -l`).

Also, typing

    $ make help

will give information on the use of the make command in the present directory. 
`make` mostly relies on `runtests.py`,
but also triggers some other actions, in which runtests.py is not used.

The video below gives an overwiew of the command line options of `runtests.py`

[![asciicast](https://asciinema.org/a/40324.png)](https://asciinema.org/a/40324)
